attribute vec4 a_position;
attribute vec2 a_texCoord;
uniform vec2 u_vertexScale;
uniform vec2 u_uvSize;
varying vec2 v_texCoord;

void main()
{
    gl_Position = a_position * vec4(u_vertexScale.xy, 1.0, 1.0);
    v_texCoord = a_texCoord * u_uvSize;
}
